
TYPO3.Neos - Task # 8144

Status: Resolved Priority: Could have
Author: Karsten Dambekalns Category:
Created: 2010-06-10 Assigned To: Karsten Dambekalns
Updated: 2010-12-21 Due date:
Subject: Remove unused exceptions
Description
The following exceptions are defined but not used:
    -  F3\TYPO3\Controller\Exception\NoSiteException
    -  F3\TYPO3\Domain\Exception\NodeAlreadyExistsException
    -  F3\TYPO3\Domain\Exception\NoSuchNodeException
    -  F3\TYPO3\Domain\Exception\NoSuchDomainException
    -  F3\TYPO3\Domain\Exception\InvalidSectionException

They could be removed, unless their usage is still intended.

Associated revisions
Revision 1685639c - 2010-12-21 12:42 - Karsten Dambekalns

[-TASK] TYPO3: Remove unused exceptions

Change-Id: I53f9120928b811683a95003e3f6f0f59bdb9f9f2
Resolves: #8144

History
#1 - 2010-12-20 16:32 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns
- Remaining (hours) set to 1.0

#2 - 2010-12-20 19:45 - Robert Lemke

Go for it. If we need one of them again, we can still create them again.

#3 - 2010-12-21 11:31 - Karsten Dambekalns
Some more:
    -  TYPO3\Controller\Exception\ImportException
    -  TYPO3\Domain\Exceotion\CannotCloneException
    -  TYPO3\Domain\Exceotion\ContentAlreadyReferencedException
    -  TYPO3\Domain\Exceotion\InvalidContentTypeException
    -  TYPO3\Domain\Exceotion\InvalidPathException
    -  TYPO3\Domain\Exceotion\InvalidReferenceException
    -  TYPO3\Domain\Exceotion\NoSuchContentException

#4 - 2010-12-21 12:43 - Karsten Dambekalns
- Status changed from Needs Feedback to Under Review
#5 - 2010-12-21 14:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"1685639c3548d8c343e42b74a8da168971237f01".
